Subject: Re: bug#60840: [PATCH 0/3] gnu: volctl: Update to 0.9.3.

From: Sergiu Ivanov <[email-masked]>
Date: Mon, 23 Jan 2023 18:38:58 +0100

Hello,

Maxim Cournoyer <[email-masked]> [2023-01-22T22:28:06+0100]:
[...]
>> I CCed you, but Google doesn't like another quirk in my E-mail
>> configuration which I don't have motivation to debug :-S
>>
>> I therefore sending you a small ping from my work E-mail, and I'm
>> attaching the 3 updated patches just in case it is more convenient
>> for you.
>
> Thanks!  I've made cosmetic adjustments to the update commit like so:
[...]

Thank you!

> added a proper GNU Change Log to the commit message:
>
> gnu: volctl: Update to 0.9.3.
>
> Fixes <https://issues.guix.gnu.org/58120>.

Ah!  Incidentally, this is what I was aiming to fix when I started the
work on this patch series, but guix lint told me I could update the
version… :D

> * gnu/packages/gtk.scm (volctl): Update to 0.9.3.
> [arguments]: Update substitutions in patch-path phase and delete
> trailing #t.
> [inputs]: Delete pulseaudio.  Move gtk+ to...
> [propagated-inputs] ... here.
>
>
> and pushed the series!

Cool!

> Notice that in my environment, it doesn't run:
>
> $ volctl
> PulseAudio connected
> Warning: Could not embed Gtk.StatusIcon.
> Fatal error: Could not create a status icon. Are you sure you have a working notification area?
> pulseaudio disconnected
> Alarm clock
>
> although I have 'dunst' running on top of my ratpoison WM.

I tested the new version with ./pre-inst-env guix shell volctl and
everything looked fine with the default systray of EXWM.

I will do a global system update by the end of the week and will see if
I can reproduce and fix the issue.

-
Sergiu